<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bailuntec.mapper.DcAutoShortSupplyMapper">
  <resultMap id="BaseResultMap" type="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="bailun_sku" jdbcType="VARCHAR" property="bailunSku" />
    <result column="warehouse_code" jdbcType="VARCHAR" property="warehouseCode" />
    <result column="forecast_today_short_supply" jdbcType="DECIMAL" property="forecastTodayShortSupply" />
    <result column="forecast_oneday_short_supply" jdbcType="DECIMAL" property="forecastOnedayShortSupply" />
    <result column="forecast_twoday_short_supply" jdbcType="DECIMAL" property="forecastTwodayShortSupply" />
    <result column="forecast_threeday_short_supply" jdbcType="DECIMAL" property="forecastThreedayShortSupply" />
    <result column="forecast_fourthday_short_supply" jdbcType="DECIMAL" property="forecastFourthdayShortSupply" />
    <result column="forecast_fiveday_short_supply" jdbcType="DECIMAL" property="forecastFivedayShortSupply" />
    <result column="forecast_sixday_short_supply" jdbcType="DECIMAL" property="forecastSixdayShortSupply" />
    <result column="forecast_sevenday_short_supply" jdbcType="DECIMAL" property="forecastSevendayShortSupply" />
    <result column="forecast_eightday_short_supply" jdbcType="DECIMAL" property="forecastEightdayShortSupply" />
    <result column="forecast_nineday_short_supply" jdbcType="DECIMAL" property="forecastNinedayShortSupply" />
    <result column="forecast_tenday_short_supply" jdbcType="DECIMAL" property="forecastTendayShortSupply" />
    <result column="forecast_elevenday_short_supply" jdbcType="DECIMAL" property="forecastElevendayShortSupply" />
    <result column="forecast_twelveday_short_supply" jdbcType="DECIMAL" property="forecastTwelvedayShortSupply" />
    <result column="forecast_thridteenday_short_supply" jdbcType="DECIMAL" property="forecastThridteendayShortSupply" />
    <result column="forecast_fourteenday_short_supply" jdbcType="DECIMAL" property="forecastFourteendayShortSupply" />
    <result column="forecast_fifteenday_short_supply" jdbcType="DECIMAL" property="forecastFifteendayShortSupply" />
    <result column="forecast_sixteenday_short_supply" jdbcType="DECIMAL" property="forecastSixteendayShortSupply" />
    <result column="forecast_seventeenday_short_supply" jdbcType="DECIMAL" property="forecastSeventeendayShortSupply" />
    <result column="forecast_eighteenday_short_supply" jdbcType="DECIMAL" property="forecastEighteendayShortSupply" />
    <result column="forecast_nineteenday_short_supply" jdbcType="DECIMAL" property="forecastNineteendayShortSupply" />
    <result column="forecast_twentyday_short_supply" jdbcType="DECIMAL" property="forecastTwentydayShortSupply" />
    <result column="forecast_twenty_oneday_short_supply" jdbcType="DECIMAL" property="forecastTwentyOnedayShortSupply" />
    <result column="forecast_twenty_twoday_short_supply" jdbcType="DECIMAL" property="forecastTwentyTwodayShortSupply" />
    <result column="forecast_twenty_threeday_short_supply" jdbcType="DECIMAL" property="forecastTwentyThreedayShortSupply" />
    <result column="forecast_twenty_fourthday_short_supply" jdbcType="DECIMAL" property="forecastTwentyFourthdayShortSupply" />
    <result column="forecast_twenty_fiveday_short_supply" jdbcType="DECIMAL" property="forecastTwentyFivedayShortSupply" />
    <result column="forecast_twenty_sixday_short_supply" jdbcType="DECIMAL" property="forecastTwentySixdayShortSupply" />
    <result column="forecast_twenty_seveneday_short_supply" jdbcType="DECIMAL" property="forecastTwentySevenedayShortSupply" />
    <result column="forecast_twenty_eightday_short_supply" jdbcType="DECIMAL" property="forecastTwentyEightdayShortSupply" />
    <result column="forecast_twenty_nineday_short_supply" jdbcType="DECIMAL" property="forecastTwentyNinedayShortSupply" />
    <result column="forecast_thirtyday_short_supply" jdbcType="DECIMAL" property="forecastThirtydayShortSupply" />
    <result column="gmt_create" jdbcType="TIMESTAMP" property="gmtCreate" />
    <result column="gmt_modified" jdbcType="TIMESTAMP" property="gmtModified" />
    <result column="details" jdbcType="VARCHAR" property="details" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, bailun_sku, warehouse_code, forecast_today_short_supply, forecast_oneday_short_supply, 
    forecast_twoday_short_supply, forecast_threeday_short_supply, forecast_fourthday_short_supply, 
    forecast_fiveday_short_supply, forecast_sixday_short_supply, forecast_sevenday_short_supply, 
    forecast_eightday_short_supply, forecast_nineday_short_supply, forecast_tenday_short_supply, 
    forecast_elevenday_short_supply, forecast_twelveday_short_supply, forecast_thridteenday_short_supply, 
    forecast_fourteenday_short_supply, forecast_fifteenday_short_supply, forecast_sixteenday_short_supply, 
    forecast_seventeenday_short_supply, forecast_eighteenday_short_supply, forecast_nineteenday_short_supply, 
    forecast_twentyday_short_supply, forecast_twenty_oneday_short_supply, forecast_twenty_twoday_short_supply, 
    forecast_twenty_threeday_short_supply, forecast_twenty_fourthday_short_supply, forecast_twenty_fiveday_short_supply, 
    forecast_twenty_sixday_short_supply, forecast_twenty_seveneday_short_supply, forecast_twenty_eightday_short_supply, 
    forecast_twenty_nineday_short_supply, forecast_thirtyday_short_supply, gmt_create, 
    gmt_modified, details
  </sql>
  <select id="selectByExample" parameterType="com.bailuntec.domain.example.DcAutoShortSupplyExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from dc_auto_short_supply
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    <if test="rows != null">
      <if test="offset != null">
        limit ${offset}, ${rows}
      </if>
      <if test="offset == null">
        limit ${rows}
      </if>
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from dc_auto_short_supply
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_short_supply
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.bailuntec.domain.example.DcAutoShortSupplyExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from dc_auto_short_supply
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_short_supply (id, bailun_sku, warehouse_code, 
      forecast_today_short_supply, forecast_oneday_short_supply, 
      forecast_twoday_short_supply, forecast_threeday_short_supply, 
      forecast_fourthday_short_supply, forecast_fiveday_short_supply, 
      forecast_sixday_short_supply, forecast_sevenday_short_supply, 
      forecast_eightday_short_supply, forecast_nineday_short_supply, 
      forecast_tenday_short_supply, forecast_elevenday_short_supply, 
      forecast_twelveday_short_supply, forecast_thridteenday_short_supply, 
      forecast_fourteenday_short_supply, forecast_fifteenday_short_supply, 
      forecast_sixteenday_short_supply, forecast_seventeenday_short_supply, 
      forecast_eighteenday_short_supply, forecast_nineteenday_short_supply, 
      forecast_twentyday_short_supply, forecast_twenty_oneday_short_supply, 
      forecast_twenty_twoday_short_supply, forecast_twenty_threeday_short_supply, 
      forecast_twenty_fourthday_short_supply, forecast_twenty_fiveday_short_supply, 
      forecast_twenty_sixday_short_supply, forecast_twenty_seveneday_short_supply, 
      forecast_twenty_eightday_short_supply, forecast_twenty_nineday_short_supply, 
      forecast_thirtyday_short_supply, gmt_create, 
      gmt_modified, details)
    values (#{id,jdbcType=INTEGER}, #{bailunSku,jdbcType=VARCHAR}, #{warehouseCode,jdbcType=VARCHAR}, 
      #{forecastTodayShortSupply,jdbcType=DECIMAL}, #{forecastOnedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwodayShortSupply,jdbcType=DECIMAL}, #{forecastThreedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastFourthdayShortSupply,jdbcType=DECIMAL}, #{forecastFivedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastSixdayShortSupply,jdbcType=DECIMAL}, #{forecastSevendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastEightdayShortSupply,jdbcType=DECIMAL}, #{forecastNinedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTendayShortSupply,jdbcType=DECIMAL}, #{forecastElevendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwelvedayShortSupply,jdbcType=DECIMAL}, #{forecastThridteendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastFourteendayShortSupply,jdbcType=DECIMAL}, #{forecastFifteendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastSixteendayShortSupply,jdbcType=DECIMAL}, #{forecastSeventeendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastEighteendayShortSupply,jdbcType=DECIMAL}, #{forecastNineteendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentydayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL}, #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastThirtydayShortSupply,jdbcType=DECIMAL}, #{gmtCreate,jdbcType=TIMESTAMP},
      #{gmtModified,jdbcType=TIMESTAMP}, #{details,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into dc_auto_short_supply
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="bailunSku != null">
        bailun_sku,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="forecastTodayShortSupply != null">
        forecast_today_short_supply,
      </if>
      <if test="forecastOnedayShortSupply != null">
        forecast_oneday_short_supply,
      </if>
      <if test="forecastTwodayShortSupply != null">
        forecast_twoday_short_supply,
      </if>
      <if test="forecastThreedayShortSupply != null">
        forecast_threeday_short_supply,
      </if>
      <if test="forecastFourthdayShortSupply != null">
        forecast_fourthday_short_supply,
      </if>
      <if test="forecastFivedayShortSupply != null">
        forecast_fiveday_short_supply,
      </if>
      <if test="forecastSixdayShortSupply != null">
        forecast_sixday_short_supply,
      </if>
      <if test="forecastSevendayShortSupply != null">
        forecast_sevenday_short_supply,
      </if>
      <if test="forecastEightdayShortSupply != null">
        forecast_eightday_short_supply,
      </if>
      <if test="forecastNinedayShortSupply != null">
        forecast_nineday_short_supply,
      </if>
      <if test="forecastTendayShortSupply != null">
        forecast_tenday_short_supply,
      </if>
      <if test="forecastElevendayShortSupply != null">
        forecast_elevenday_short_supply,
      </if>
      <if test="forecastTwelvedayShortSupply != null">
        forecast_twelveday_short_supply,
      </if>
      <if test="forecastThridteendayShortSupply != null">
        forecast_thridteenday_short_supply,
      </if>
      <if test="forecastFourteendayShortSupply != null">
        forecast_fourteenday_short_supply,
      </if>
      <if test="forecastFifteendayShortSupply != null">
        forecast_fifteenday_short_supply,
      </if>
      <if test="forecastSixteendayShortSupply != null">
        forecast_sixteenday_short_supply,
      </if>
      <if test="forecastSeventeendayShortSupply != null">
        forecast_seventeenday_short_supply,
      </if>
      <if test="forecastEighteendayShortSupply != null">
        forecast_eighteenday_short_supply,
      </if>
      <if test="forecastNineteendayShortSupply != null">
        forecast_nineteenday_short_supply,
      </if>
      <if test="forecastTwentydayShortSupply != null">
        forecast_twentyday_short_supply,
      </if>
      <if test="forecastTwentyOnedayShortSupply != null">
        forecast_twenty_oneday_short_supply,
      </if>
      <if test="forecastTwentyTwodayShortSupply != null">
        forecast_twenty_twoday_short_supply,
      </if>
      <if test="forecastTwentyThreedayShortSupply != null">
        forecast_twenty_threeday_short_supply,
      </if>
      <if test="forecastTwentyFourthdayShortSupply != null">
        forecast_twenty_fourthday_short_supply,
      </if>
      <if test="forecastTwentyFivedayShortSupply != null">
        forecast_twenty_fiveday_short_supply,
      </if>
      <if test="forecastTwentySixdayShortSupply != null">
        forecast_twenty_sixday_short_supply,
      </if>
      <if test="forecastTwentySevenedayShortSupply != null">
        forecast_twenty_seveneday_short_supply,
      </if>
      <if test="forecastTwentyEightdayShortSupply != null">
        forecast_twenty_eightday_short_supply,
      </if>
      <if test="forecastTwentyNinedayShortSupply != null">
        forecast_twenty_nineday_short_supply,
      </if>
      <if test="forecastThirtydayShortSupply != null">
        forecast_thirtyday_short_supply,
      </if>
      <if test="gmtCreate != null">
        gmt_create,
      </if>
      <if test="gmtModified != null">
        gmt_modified,
      </if>
      <if test="details != null">
        details,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="forecastTodayShortSupply != null">
        #{forecastTodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayShortSupply != null">
        #{forecastOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayShortSupply != null">
        #{forecastTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayShortSupply != null">
        #{forecastThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayShortSupply != null">
        #{forecastFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayShortSupply != null">
        #{forecastFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayShortSupply != null">
        #{forecastSixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayShortSupply != null">
        #{forecastSevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayShortSupply != null">
        #{forecastEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayShortSupply != null">
        #{forecastNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayShortSupply != null">
        #{forecastTendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayShortSupply != null">
        #{forecastElevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayShortSupply != null">
        #{forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayShortSupply != null">
        #{forecastThridteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayShortSupply != null">
        #{forecastFourteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayShortSupply != null">
        #{forecastFifteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayShortSupply != null">
        #{forecastSixteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayShortSupply != null">
        #{forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayShortSupply != null">
        #{forecastEighteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayShortSupply != null">
        #{forecastNineteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayShortSupply != null">
        #{forecastTwentydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayShortSupply != null">
        #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayShortSupply != null">
        #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayShortSupply != null">
        #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayShortSupply != null">
        #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayShortSupply != null">
        #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayShortSupply != null">
        #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayShortSupply != null">
        #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayShortSupply != null">
        #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayShortSupply != null">
        #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayShortSupply != null">
        #{forecastThirtydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        #{details,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.bailuntec.domain.example.DcAutoShortSupplyExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from dc_auto_short_supply
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_short_supply
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.bailunSku != null">
        bailun_sku = #{record.bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="record.warehouseCode != null">
        warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="record.forecastTodayShortSupply != null">
        forecast_today_short_supply = #{record.forecastTodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastOnedayShortSupply != null">
        forecast_oneday_short_supply = #{record.forecastOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwodayShortSupply != null">
        forecast_twoday_short_supply = #{record.forecastTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastThreedayShortSupply != null">
        forecast_threeday_short_supply = #{record.forecastThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFourthdayShortSupply != null">
        forecast_fourthday_short_supply = #{record.forecastFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFivedayShortSupply != null">
        forecast_fiveday_short_supply = #{record.forecastFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSixdayShortSupply != null">
        forecast_sixday_short_supply = #{record.forecastSixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSevendayShortSupply != null">
        forecast_sevenday_short_supply = #{record.forecastSevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastEightdayShortSupply != null">
        forecast_eightday_short_supply = #{record.forecastEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastNinedayShortSupply != null">
        forecast_nineday_short_supply = #{record.forecastNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTendayShortSupply != null">
        forecast_tenday_short_supply = #{record.forecastTendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastElevendayShortSupply != null">
        forecast_elevenday_short_supply = #{record.forecastElevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwelvedayShortSupply != null">
        forecast_twelveday_short_supply = #{record.forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastThridteendayShortSupply != null">
        forecast_thridteenday_short_supply = #{record.forecastThridteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFourteendayShortSupply != null">
        forecast_fourteenday_short_supply = #{record.forecastFourteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastFifteendayShortSupply != null">
        forecast_fifteenday_short_supply = #{record.forecastFifteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSixteendayShortSupply != null">
        forecast_sixteenday_short_supply = #{record.forecastSixteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastSeventeendayShortSupply != null">
        forecast_seventeenday_short_supply = #{record.forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastEighteendayShortSupply != null">
        forecast_eighteenday_short_supply = #{record.forecastEighteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastNineteendayShortSupply != null">
        forecast_nineteenday_short_supply = #{record.forecastNineteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentydayShortSupply != null">
        forecast_twentyday_short_supply = #{record.forecastTwentydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyOnedayShortSupply != null">
        forecast_twenty_oneday_short_supply = #{record.forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyTwodayShortSupply != null">
        forecast_twenty_twoday_short_supply = #{record.forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyThreedayShortSupply != null">
        forecast_twenty_threeday_short_supply = #{record.forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyFourthdayShortSupply != null">
        forecast_twenty_fourthday_short_supply = #{record.forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyFivedayShortSupply != null">
        forecast_twenty_fiveday_short_supply = #{record.forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentySixdayShortSupply != null">
        forecast_twenty_sixday_short_supply = #{record.forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentySevenedayShortSupply != null">
        forecast_twenty_seveneday_short_supply = #{record.forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyEightdayShortSupply != null">
        forecast_twenty_eightday_short_supply = #{record.forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastTwentyNinedayShortSupply != null">
        forecast_twenty_nineday_short_supply = #{record.forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.forecastThirtydayShortSupply != null">
        forecast_thirtyday_short_supply = #{record.forecastThirtydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="record.gmtCreate != null">
        gmt_create = #{record.gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.gmtModified != null">
        gmt_modified = #{record.gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="record.details != null">
        details = #{record.details,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_short_supply
    set id = #{record.id,jdbcType=INTEGER},
      bailun_sku = #{record.bailunSku,jdbcType=VARCHAR},
      warehouse_code = #{record.warehouseCode,jdbcType=VARCHAR},
      forecast_today_short_supply = #{record.forecastTodayShortSupply,jdbcType=DECIMAL},
      forecast_oneday_short_supply = #{record.forecastOnedayShortSupply,jdbcType=DECIMAL},
      forecast_twoday_short_supply = #{record.forecastTwodayShortSupply,jdbcType=DECIMAL},
      forecast_threeday_short_supply = #{record.forecastThreedayShortSupply,jdbcType=DECIMAL},
      forecast_fourthday_short_supply = #{record.forecastFourthdayShortSupply,jdbcType=DECIMAL},
      forecast_fiveday_short_supply = #{record.forecastFivedayShortSupply,jdbcType=DECIMAL},
      forecast_sixday_short_supply = #{record.forecastSixdayShortSupply,jdbcType=DECIMAL},
      forecast_sevenday_short_supply = #{record.forecastSevendayShortSupply,jdbcType=DECIMAL},
      forecast_eightday_short_supply = #{record.forecastEightdayShortSupply,jdbcType=DECIMAL},
      forecast_nineday_short_supply = #{record.forecastNinedayShortSupply,jdbcType=DECIMAL},
      forecast_tenday_short_supply = #{record.forecastTendayShortSupply,jdbcType=DECIMAL},
      forecast_elevenday_short_supply = #{record.forecastElevendayShortSupply,jdbcType=DECIMAL},
      forecast_twelveday_short_supply = #{record.forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      forecast_thridteenday_short_supply = #{record.forecastThridteendayShortSupply,jdbcType=DECIMAL},
      forecast_fourteenday_short_supply = #{record.forecastFourteendayShortSupply,jdbcType=DECIMAL},
      forecast_fifteenday_short_supply = #{record.forecastFifteendayShortSupply,jdbcType=DECIMAL},
      forecast_sixteenday_short_supply = #{record.forecastSixteendayShortSupply,jdbcType=DECIMAL},
      forecast_seventeenday_short_supply = #{record.forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      forecast_eighteenday_short_supply = #{record.forecastEighteendayShortSupply,jdbcType=DECIMAL},
      forecast_nineteenday_short_supply = #{record.forecastNineteendayShortSupply,jdbcType=DECIMAL},
      forecast_twentyday_short_supply = #{record.forecastTwentydayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_oneday_short_supply = #{record.forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_twoday_short_supply = #{record.forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_threeday_short_supply = #{record.forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_fourthday_short_supply = #{record.forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_fiveday_short_supply = #{record.forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_sixday_short_supply = #{record.forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_seveneday_short_supply = #{record.forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_eightday_short_supply = #{record.forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_nineday_short_supply = #{record.forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      forecast_thirtyday_short_supply = #{record.forecastThirtydayShortSupply,jdbcType=DECIMAL},
      gmt_create = #{record.gmtCreate,jdbcType=TIMESTAMP},
      gmt_modified = #{record.gmtModified,jdbcType=TIMESTAMP},
      details = #{record.details,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_short_supply
    <set>
      <if test="bailunSku != null">
        bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="forecastTodayShortSupply != null">
        forecast_today_short_supply = #{forecastTodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayShortSupply != null">
        forecast_oneday_short_supply = #{forecastOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayShortSupply != null">
        forecast_twoday_short_supply = #{forecastTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayShortSupply != null">
        forecast_threeday_short_supply = #{forecastThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayShortSupply != null">
        forecast_fourthday_short_supply = #{forecastFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayShortSupply != null">
        forecast_fiveday_short_supply = #{forecastFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayShortSupply != null">
        forecast_sixday_short_supply = #{forecastSixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayShortSupply != null">
        forecast_sevenday_short_supply = #{forecastSevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayShortSupply != null">
        forecast_eightday_short_supply = #{forecastEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayShortSupply != null">
        forecast_nineday_short_supply = #{forecastNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayShortSupply != null">
        forecast_tenday_short_supply = #{forecastTendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayShortSupply != null">
        forecast_elevenday_short_supply = #{forecastElevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayShortSupply != null">
        forecast_twelveday_short_supply = #{forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayShortSupply != null">
        forecast_thridteenday_short_supply = #{forecastThridteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayShortSupply != null">
        forecast_fourteenday_short_supply = #{forecastFourteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayShortSupply != null">
        forecast_fifteenday_short_supply = #{forecastFifteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayShortSupply != null">
        forecast_sixteenday_short_supply = #{forecastSixteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayShortSupply != null">
        forecast_seventeenday_short_supply = #{forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayShortSupply != null">
        forecast_eighteenday_short_supply = #{forecastEighteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayShortSupply != null">
        forecast_nineteenday_short_supply = #{forecastNineteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayShortSupply != null">
        forecast_twentyday_short_supply = #{forecastTwentydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayShortSupply != null">
        forecast_twenty_oneday_short_supply = #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayShortSupply != null">
        forecast_twenty_twoday_short_supply = #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayShortSupply != null">
        forecast_twenty_threeday_short_supply = #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayShortSupply != null">
        forecast_twenty_fourthday_short_supply = #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayShortSupply != null">
        forecast_twenty_fiveday_short_supply = #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayShortSupply != null">
        forecast_twenty_sixday_short_supply = #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayShortSupply != null">
        forecast_twenty_seveneday_short_supply = #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayShortSupply != null">
        forecast_twenty_eightday_short_supply = #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayShortSupply != null">
        forecast_twenty_nineday_short_supply = #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayShortSupply != null">
        forecast_thirtyday_short_supply = #{forecastThirtydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        details = #{details,jdbcType=VARCHAR},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update dc_auto_short_supply
    set bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      forecast_today_short_supply = #{forecastTodayShortSupply,jdbcType=DECIMAL},
      forecast_oneday_short_supply = #{forecastOnedayShortSupply,jdbcType=DECIMAL},
      forecast_twoday_short_supply = #{forecastTwodayShortSupply,jdbcType=DECIMAL},
      forecast_threeday_short_supply = #{forecastThreedayShortSupply,jdbcType=DECIMAL},
      forecast_fourthday_short_supply = #{forecastFourthdayShortSupply,jdbcType=DECIMAL},
      forecast_fiveday_short_supply = #{forecastFivedayShortSupply,jdbcType=DECIMAL},
      forecast_sixday_short_supply = #{forecastSixdayShortSupply,jdbcType=DECIMAL},
      forecast_sevenday_short_supply = #{forecastSevendayShortSupply,jdbcType=DECIMAL},
      forecast_eightday_short_supply = #{forecastEightdayShortSupply,jdbcType=DECIMAL},
      forecast_nineday_short_supply = #{forecastNinedayShortSupply,jdbcType=DECIMAL},
      forecast_tenday_short_supply = #{forecastTendayShortSupply,jdbcType=DECIMAL},
      forecast_elevenday_short_supply = #{forecastElevendayShortSupply,jdbcType=DECIMAL},
      forecast_twelveday_short_supply = #{forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      forecast_thridteenday_short_supply = #{forecastThridteendayShortSupply,jdbcType=DECIMAL},
      forecast_fourteenday_short_supply = #{forecastFourteendayShortSupply,jdbcType=DECIMAL},
      forecast_fifteenday_short_supply = #{forecastFifteendayShortSupply,jdbcType=DECIMAL},
      forecast_sixteenday_short_supply = #{forecastSixteendayShortSupply,jdbcType=DECIMAL},
      forecast_seventeenday_short_supply = #{forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      forecast_eighteenday_short_supply = #{forecastEighteendayShortSupply,jdbcType=DECIMAL},
      forecast_nineteenday_short_supply = #{forecastNineteendayShortSupply,jdbcType=DECIMAL},
      forecast_twentyday_short_supply = #{forecastTwentydayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_oneday_short_supply = #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_twoday_short_supply = #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_threeday_short_supply = #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_fourthday_short_supply = #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_fiveday_short_supply = #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_sixday_short_supply = #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_seveneday_short_supply = #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_eightday_short_supply = #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      forecast_twenty_nineday_short_supply = #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      forecast_thirtyday_short_supply = #{forecastThirtydayShortSupply,jdbcType=DECIMAL},
      gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      details = #{details,jdbcType=VARCHAR}
    where id = #{id,jdbcType=INTEGER}
  </update>
  <insert id="upsertSelective" parameterType="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_short_supply
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="bailunSku != null">
        bailun_sku,
      </if>
      <if test="warehouseCode != null">
        warehouse_code,
      </if>
      <if test="forecastTodayShortSupply != null">
        forecast_today_short_supply,
      </if>
      <if test="forecastOnedayShortSupply != null">
        forecast_oneday_short_supply,
      </if>
      <if test="forecastTwodayShortSupply != null">
        forecast_twoday_short_supply,
      </if>
      <if test="forecastThreedayShortSupply != null">
        forecast_threeday_short_supply,
      </if>
      <if test="forecastFourthdayShortSupply != null">
        forecast_fourthday_short_supply,
      </if>
      <if test="forecastFivedayShortSupply != null">
        forecast_fiveday_short_supply,
      </if>
      <if test="forecastSixdayShortSupply != null">
        forecast_sixday_short_supply,
      </if>
      <if test="forecastSevendayShortSupply != null">
        forecast_sevenday_short_supply,
      </if>
      <if test="forecastEightdayShortSupply != null">
        forecast_eightday_short_supply,
      </if>
      <if test="forecastNinedayShortSupply != null">
        forecast_nineday_short_supply,
      </if>
      <if test="forecastTendayShortSupply != null">
        forecast_tenday_short_supply,
      </if>
      <if test="forecastElevendayShortSupply != null">
        forecast_elevenday_short_supply,
      </if>
      <if test="forecastTwelvedayShortSupply != null">
        forecast_twelveday_short_supply,
      </if>
      <if test="forecastThridteendayShortSupply != null">
        forecast_thridteenday_short_supply,
      </if>
      <if test="forecastFourteendayShortSupply != null">
        forecast_fourteenday_short_supply,
      </if>
      <if test="forecastFifteendayShortSupply != null">
        forecast_fifteenday_short_supply,
      </if>
      <if test="forecastSixteendayShortSupply != null">
        forecast_sixteenday_short_supply,
      </if>
      <if test="forecastSeventeendayShortSupply != null">
        forecast_seventeenday_short_supply,
      </if>
      <if test="forecastEighteendayShortSupply != null">
        forecast_eighteenday_short_supply,
      </if>
      <if test="forecastNineteendayShortSupply != null">
        forecast_nineteenday_short_supply,
      </if>
      <if test="forecastTwentydayShortSupply != null">
        forecast_twentyday_short_supply,
      </if>
      <if test="forecastTwentyOnedayShortSupply != null">
        forecast_twenty_oneday_short_supply,
      </if>
      <if test="forecastTwentyTwodayShortSupply != null">
        forecast_twenty_twoday_short_supply,
      </if>
      <if test="forecastTwentyThreedayShortSupply != null">
        forecast_twenty_threeday_short_supply,
      </if>
      <if test="forecastTwentyFourthdayShortSupply != null">
        forecast_twenty_fourthday_short_supply,
      </if>
      <if test="forecastTwentyFivedayShortSupply != null">
        forecast_twenty_fiveday_short_supply,
      </if>
      <if test="forecastTwentySixdayShortSupply != null">
        forecast_twenty_sixday_short_supply,
      </if>
      <if test="forecastTwentySevenedayShortSupply != null">
        forecast_twenty_seveneday_short_supply,
      </if>
      <if test="forecastTwentyEightdayShortSupply != null">
        forecast_twenty_eightday_short_supply,
      </if>
      <if test="forecastTwentyNinedayShortSupply != null">
        forecast_twenty_nineday_short_supply,
      </if>
      <if test="forecastThirtydayShortSupply != null">
        forecast_thirtyday_short_supply,
      </if>
      <if test="gmtCreate != null">
        gmt_create,
      </if>
      <if test="gmtModified != null">
        gmt_modified,
      </if>
      <if test="details != null">
        details,
      </if>
    </trim>
    values
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="forecastTodayShortSupply != null">
        #{forecastTodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayShortSupply != null">
        #{forecastOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayShortSupply != null">
        #{forecastTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayShortSupply != null">
        #{forecastThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayShortSupply != null">
        #{forecastFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayShortSupply != null">
        #{forecastFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayShortSupply != null">
        #{forecastSixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayShortSupply != null">
        #{forecastSevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayShortSupply != null">
        #{forecastEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayShortSupply != null">
        #{forecastNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayShortSupply != null">
        #{forecastTendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayShortSupply != null">
        #{forecastElevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayShortSupply != null">
        #{forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayShortSupply != null">
        #{forecastThridteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayShortSupply != null">
        #{forecastFourteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayShortSupply != null">
        #{forecastFifteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayShortSupply != null">
        #{forecastSixteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayShortSupply != null">
        #{forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayShortSupply != null">
        #{forecastEighteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayShortSupply != null">
        #{forecastNineteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayShortSupply != null">
        #{forecastTwentydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayShortSupply != null">
        #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayShortSupply != null">
        #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayShortSupply != null">
        #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayShortSupply != null">
        #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayShortSupply != null">
        #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayShortSupply != null">
        #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayShortSupply != null">
        #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayShortSupply != null">
        #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayShortSupply != null">
        #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayShortSupply != null">
        #{forecastThirtydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        #{details,jdbcType=VARCHAR},
      </if>
    </trim>
    on duplicate key update 
    <trim suffixOverrides=",">
      <if test="id != null">
        id = #{id,jdbcType=INTEGER},
      </if>
      <if test="bailunSku != null">
        bailun_sku = #{bailunSku,jdbcType=VARCHAR},
      </if>
      <if test="warehouseCode != null">
        warehouse_code = #{warehouseCode,jdbcType=VARCHAR},
      </if>
      <if test="forecastTodayShortSupply != null">
        forecast_today_short_supply = #{forecastTodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastOnedayShortSupply != null">
        forecast_oneday_short_supply = #{forecastOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwodayShortSupply != null">
        forecast_twoday_short_supply = #{forecastTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThreedayShortSupply != null">
        forecast_threeday_short_supply = #{forecastThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourthdayShortSupply != null">
        forecast_fourthday_short_supply = #{forecastFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFivedayShortSupply != null">
        forecast_fiveday_short_supply = #{forecastFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixdayShortSupply != null">
        forecast_sixday_short_supply = #{forecastSixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSevendayShortSupply != null">
        forecast_sevenday_short_supply = #{forecastSevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEightdayShortSupply != null">
        forecast_eightday_short_supply = #{forecastEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNinedayShortSupply != null">
        forecast_nineday_short_supply = #{forecastNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTendayShortSupply != null">
        forecast_tenday_short_supply = #{forecastTendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastElevendayShortSupply != null">
        forecast_elevenday_short_supply = #{forecastElevendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwelvedayShortSupply != null">
        forecast_twelveday_short_supply = #{forecastTwelvedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThridteendayShortSupply != null">
        forecast_thridteenday_short_supply = #{forecastThridteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFourteendayShortSupply != null">
        forecast_fourteenday_short_supply = #{forecastFourteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastFifteendayShortSupply != null">
        forecast_fifteenday_short_supply = #{forecastFifteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSixteendayShortSupply != null">
        forecast_sixteenday_short_supply = #{forecastSixteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastSeventeendayShortSupply != null">
        forecast_seventeenday_short_supply = #{forecastSeventeendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastEighteendayShortSupply != null">
        forecast_eighteenday_short_supply = #{forecastEighteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastNineteendayShortSupply != null">
        forecast_nineteenday_short_supply = #{forecastNineteendayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentydayShortSupply != null">
        forecast_twentyday_short_supply = #{forecastTwentydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyOnedayShortSupply != null">
        forecast_twenty_oneday_short_supply = #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyTwodayShortSupply != null">
        forecast_twenty_twoday_short_supply = #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyThreedayShortSupply != null">
        forecast_twenty_threeday_short_supply = #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFourthdayShortSupply != null">
        forecast_twenty_fourthday_short_supply = #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyFivedayShortSupply != null">
        forecast_twenty_fiveday_short_supply = #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySixdayShortSupply != null">
        forecast_twenty_sixday_short_supply = #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentySevenedayShortSupply != null">
        forecast_twenty_seveneday_short_supply = #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyEightdayShortSupply != null">
        forecast_twenty_eightday_short_supply = #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastTwentyNinedayShortSupply != null">
        forecast_twenty_nineday_short_supply = #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="forecastThirtydayShortSupply != null">
        forecast_thirtyday_short_supply = #{forecastThirtydayShortSupply,jdbcType=DECIMAL},
      </if>
      <if test="gmtCreate != null">
        gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
      </if>
      <if test="gmtModified != null">
        gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
      </if>
      <if test="details != null">
        details = #{details,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <insert id="upsert" parameterType="com.bailuntec.domain.entity.DcAutoShortSupply">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    insert into dc_auto_short_supply
    (id, bailun_sku, warehouse_code, forecast_today_short_supply, forecast_oneday_short_supply, 
      forecast_twoday_short_supply, forecast_threeday_short_supply, forecast_fourthday_short_supply, 
      forecast_fiveday_short_supply, forecast_sixday_short_supply, forecast_sevenday_short_supply, 
      forecast_eightday_short_supply, forecast_nineday_short_supply, forecast_tenday_short_supply, 
      forecast_elevenday_short_supply, forecast_twelveday_short_supply, forecast_thridteenday_short_supply, 
      forecast_fourteenday_short_supply, forecast_fifteenday_short_supply, forecast_sixteenday_short_supply, 
      forecast_seventeenday_short_supply, forecast_eighteenday_short_supply, forecast_nineteenday_short_supply, 
      forecast_twentyday_short_supply, forecast_twenty_oneday_short_supply, forecast_twenty_twoday_short_supply, 
      forecast_twenty_threeday_short_supply, forecast_twenty_fourthday_short_supply, 
      forecast_twenty_fiveday_short_supply, forecast_twenty_sixday_short_supply, forecast_twenty_seveneday_short_supply, 
      forecast_twenty_eightday_short_supply, forecast_twenty_nineday_short_supply, forecast_thirtyday_short_supply, 
      gmt_create, gmt_modified, details)
    values
    (#{id,jdbcType=INTEGER}, #{bailunSku,jdbcType=VARCHAR}, #{warehouseCode,jdbcType=VARCHAR}, 
      #{forecastTodayShortSupply,jdbcType=DECIMAL}, #{forecastOnedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwodayShortSupply,jdbcType=DECIMAL}, #{forecastThreedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastFourthdayShortSupply,jdbcType=DECIMAL}, #{forecastFivedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastSixdayShortSupply,jdbcType=DECIMAL}, #{forecastSevendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastEightdayShortSupply,jdbcType=DECIMAL}, #{forecastNinedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTendayShortSupply,jdbcType=DECIMAL}, #{forecastElevendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwelvedayShortSupply,jdbcType=DECIMAL}, #{forecastThridteendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastFourteendayShortSupply,jdbcType=DECIMAL}, #{forecastFifteendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastSixteendayShortSupply,jdbcType=DECIMAL}, #{forecastSeventeendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastEighteendayShortSupply,jdbcType=DECIMAL}, #{forecastNineteendayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentydayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL}, #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL}, #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL}, 
      #{forecastThirtydayShortSupply,jdbcType=DECIMAL}, #{gmtCreate,jdbcType=TIMESTAMP},
      #{gmtModified,jdbcType=TIMESTAMP}, #{details,jdbcType=VARCHAR})
    on duplicate key update 
    id = #{id,jdbcType=INTEGER}, 
    bailun_sku = #{bailunSku,jdbcType=VARCHAR}, 
    warehouse_code = #{warehouseCode,jdbcType=VARCHAR}, 
    forecast_today_short_supply = #{forecastTodayShortSupply,jdbcType=DECIMAL}, 
    forecast_oneday_short_supply = #{forecastOnedayShortSupply,jdbcType=DECIMAL}, 
    forecast_twoday_short_supply = #{forecastTwodayShortSupply,jdbcType=DECIMAL}, 
    forecast_threeday_short_supply = #{forecastThreedayShortSupply,jdbcType=DECIMAL}, 
    forecast_fourthday_short_supply = #{forecastFourthdayShortSupply,jdbcType=DECIMAL}, 
    forecast_fiveday_short_supply = #{forecastFivedayShortSupply,jdbcType=DECIMAL}, 
    forecast_sixday_short_supply = #{forecastSixdayShortSupply,jdbcType=DECIMAL}, 
    forecast_sevenday_short_supply = #{forecastSevendayShortSupply,jdbcType=DECIMAL}, 
    forecast_eightday_short_supply = #{forecastEightdayShortSupply,jdbcType=DECIMAL}, 
    forecast_nineday_short_supply = #{forecastNinedayShortSupply,jdbcType=DECIMAL}, 
    forecast_tenday_short_supply = #{forecastTendayShortSupply,jdbcType=DECIMAL}, 
    forecast_elevenday_short_supply = #{forecastElevendayShortSupply,jdbcType=DECIMAL}, 
    forecast_twelveday_short_supply = #{forecastTwelvedayShortSupply,jdbcType=DECIMAL}, 
    forecast_thridteenday_short_supply = #{forecastThridteendayShortSupply,jdbcType=DECIMAL}, 
    forecast_fourteenday_short_supply = #{forecastFourteendayShortSupply,jdbcType=DECIMAL}, 
    forecast_fifteenday_short_supply = #{forecastFifteendayShortSupply,jdbcType=DECIMAL}, 
    forecast_sixteenday_short_supply = #{forecastSixteendayShortSupply,jdbcType=DECIMAL}, 
    forecast_seventeenday_short_supply = #{forecastSeventeendayShortSupply,jdbcType=DECIMAL}, 
    forecast_eighteenday_short_supply = #{forecastEighteendayShortSupply,jdbcType=DECIMAL}, 
    forecast_nineteenday_short_supply = #{forecastNineteendayShortSupply,jdbcType=DECIMAL}, 
    forecast_twentyday_short_supply = #{forecastTwentydayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_oneday_short_supply = #{forecastTwentyOnedayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_twoday_short_supply = #{forecastTwentyTwodayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_threeday_short_supply = #{forecastTwentyThreedayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_fourthday_short_supply = #{forecastTwentyFourthdayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_fiveday_short_supply = #{forecastTwentyFivedayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_sixday_short_supply = #{forecastTwentySixdayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_seveneday_short_supply = #{forecastTwentySevenedayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_eightday_short_supply = #{forecastTwentyEightdayShortSupply,jdbcType=DECIMAL}, 
    forecast_twenty_nineday_short_supply = #{forecastTwentyNinedayShortSupply,jdbcType=DECIMAL}, 
    forecast_thirtyday_short_supply = #{forecastThirtydayShortSupply,jdbcType=DECIMAL}, 
    gmt_create = #{gmtCreate,jdbcType=TIMESTAMP},
    gmt_modified = #{gmtModified,jdbcType=TIMESTAMP},
    details = #{details,jdbcType=VARCHAR}
  </insert>
  <select id="selectOneByExample" parameterType="com.bailuntec.domain.example.DcAutoShortSupplyExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
      @project https://github.com/itfsw/mybatis-generator-plugin
    -->
    select
    <include refid="Base_Column_List" />
    from dc_auto_short_supply
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
    limit 1
  </select>
</mapper>